Target version: 4.1.0

Resolution: Fixed

Description

Currently, users have to find the Settings tab and within the settings section the respective tab to change settings for a certain aspect
of their project. This is not always intuitive and users at Planio are asking frequently, e.g. how to create a new repository.

Therefore, this patch adds a handy changeset.png Settings icon in each project module where appropriate that links directly to the
respective tab in settings.

So, if you're currently within Repositories, changing the repo settings is just one click away.

- Repository - Sub-Subproject with a very long name - Redmine 2016-02-19 14-47-56.png

Related issues:

Related to Redmine - Feature #26488: Project settings : Move issue tracking s... Closed
Related to Redmine - Patch #5068: add link to Users on Member page. Closed 2010-03-13
Related to Redmine - Patch #30203: Add links to administration pages in proje... Closed
Related to Redmine - Defect #35090: Permission check of the setting button on... Closed

Associated revisions

Revision 18283 - 2019-06-20 09:56 - Jean-Philippe Lang

Make project settings more accessible (#22090).

Patch by Jan Schulz-Hofen and Go MAEDA.

History

#1 - 2016-02-19 08:50 - Jan from Planio www.plan.io
- Description updated

#2 - 2016-02-19 13:06 - Jan from Planio www.plan.io

- File 0001-Adds-Settings-icon-to-contextual-area-for-project-vi.patch added

Updating patch to properly check required permissions

#3 - 2016-02-19 13:06 - Jan from Planio www.plan.io

- File deleted (0001-Adds-Settings-icon-to-contextual-area-for-project-vi.patch)

#4 - 2016-02-20 03:40 - Go MAEDA

| think this is a good idea.

However in order to implement this feature | think it is necessary to refactor part of the Settings screen. For example, the Issues Categories tab is
linked from the Issues screen button, but that is not the only setting related to issues. The Information tab's Trackers and Custom Fields are also

settings related to issues. | think we should remove the Issue Categories tab, create a new tab that organizes all the settings related to issues, and
link to that.

#5 - 2016-02-20 08:05 - Jan from Planio www.plan.io
Go MAEDA wrote:

| think this is a good idea.
Thank you for your feedback.

However in order to implement this feature | think it is necessary to refactor part of the Settings screen. For example, the Issues Categories tab
is linked from the Issues screen button, but that is not the only setting related to issues. The Information tab's Trackers and Custom Fields are
also settings related to issues. | think we should remove the Issue Categories tab, create a new tab that organizes all the settings related to
issues, and link to that.

| agree that this would be an improvement to the settings screen, but in the spirit of keeping patches small and self-contained, | would not make this a
requirement for this issue, rather than a separate new issue that can be discussed on, implemented and released individually.

#6 - 2017-06-02 10:55 - Mischa The Evil

| agree with Go MAEDA that this is a good idea to make the settings views more accessible.
Some feedback based on a visual review of the patch:

® | miss a similar settings link in the versions/show view.
¢ | agree with Go MAEDA again regarding the settings views in relation to the settings link in the issues views, but | also agree with Jan's response
given in note-5 (it shouldn't be a blocking issue).

Another approach (which drastically cuts down the amount of views to be modified) to achieve a similar goal could be to add sub-menu items on the

settings project menu item for these links, although such is less obvious than the proposed approach which provides a specialized settings link for
most of the project modules views individually. What do you think?

#7 - 2017-07-31 13:17 - Toshi MARUYAMA

- Related to Feature #26488: Project settings : Move issue tracking settings to their own tab added

#8 - 2018-04-01 12:28 - Go MAEDA
- Related to Patch #5068: add link to Users on Member page. added

#9 - 2019-05-06 11:11 - Go MAEDA
- Related to Patch #30203: Add links to administration pages in project settings added

#10 - 2019-05-06 11:42 - Go MAEDA
- File 22090-v2.patch added

- Target version changed from Candidate for next minor release to Candidate for next major release

| have updated the patch to be applicable to the latest trunk.
e Changed link destination of the button in issues/index page from Categories tab to Issue tracking tab which was added in Redmine 4.0

* Removed Settings button in Wiki because Wiki tab in the setting page was removed
¢ Removed Settings button in timelog/new page because no other "new" page has the button

#11 - 2019-06-09 13:17 - Go MAEDA

- Target version changed from Candidate for next major release to 4.1.0

Setting the target version to 4.1.0. It would be even nicer if this feature is delivered along with #30203.

#12 - 2019-06-20 09:57 - Jean-Philippe Lang
- Status changed from New to Closed
- Assignee set to Jean-Philippe Lang

- Resolution set to Fixed

Committed, thanks.

#13 - 2019-08-30 02:24 - Go MAEDA
- Category changed from Ul to Project settings

#14 - 2021-10-09 08:47 - Go MAEDA

- Related to Defect #35090: Permission check of the setting button on the issues page mismatches button semantics added
Files

- Repository - Sub-Subproject with a very long name - Redmine 2016-023 KiB4-47-56.1204 6-02-19 Jan from Planio www.plan.io
0001-Adds-Settings-icon-to-contextual-area-for-project-vi.patch 9.38 KB 2016-02-19 Jan from Planio www.plan.io
22090-v2.patch 5.77 KB 2019-05-06 Go MAEDA
